Bug 8205 - Should be possible to hide unused authorities in OPAC
Summary: Should be possible to hide unused authorities in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-06-07 13:29 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8205: Add OPACShowUnusedAuthorities syspref (5.88 KB, patch)
2012-06-13 23:31 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8205: Add OPACShowUnusedAuthorities syspref (6.20 KB, patch)
2012-06-15 15:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-07 13:29:54 UTC
For libraries which load complete authority files into their Koha installations, authority records which are not in use can overwhelm those that are in the "Browse subjects and authors" in the OPAC. I propose to add an OPACShowUnusedAuthorities system preference that can be set to "off" so that the display can be limited to only those authorities referenced in the bibliographic database.
Comment 1 Jared Camins-Esakov 2012-06-13 23:31:04 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-06-15 15:13:35 UTC
Created attachment 10299 [details] [review]
[SIGNED-OFF] Bug 8205: Add OPACShowUnusedAuthorities syspref

Rather than list authorities that are not actually used by a library,
this commit introduces a new syspref: OPACShowUnusedAuthorities to
enable libraries to hide unused authorities in the OPAC authority browser.

To test:
1) Do a search in the OPAC authority browser that brings up multiple
   results, including some that are used in the bibliographic database
   and some that are not.
2) Observe that the results include both used and unused authorities.
3) Set OPACShowUnusedAuthorities to "Do not."
4) Repeat the same search as in step 1.
5) Observe that the results no longer include unused authorities.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Preference is implemented cleanly and works like advertised.
As a note: The unused authority records will be hidden from display,
but the result list paging does not adjust for the hidden records.
So the result pages will show more or less records total, depending
on how many records are hidden.
Comment 3 Ian Walls 2012-06-15 17:44:44 UTC
Adds new syspref in standard manner.  Original behavior of system is kept, making this 'opt-in'.

Greps through authority results for whether used > 0.  Changes template display language to 'fuzzify' (my own word) the description when the syspref is turned off.

Passed QA.
Comment 4 Paul Poulain 2012-06-20 09:23:25 UTC
before pushing this patch, I want to say that, imo, a better idea would have been to add an option to dynamically add/remove authorities that have/don't have attached biblio. That would not require a new syspref (remember i'm founder of FAUSP -Fighters Against Useless SysPrefs), let more feedom to users, and could be usefull for staff interface as well.

With Datatable I think this should be easy to achieve. Would you be OK to rewrite your patch ?
Comment 5 Katrin Fischer 2012-06-20 09:50:26 UTC
I think for the staff interface a filter like you suggest would be nice, but for OPAC users authorities without biblios are not really useful. They might be duplicates or accidentally created stubs or just weird authorities from a big imported authority file. So I think for the OPAC a syspref is really a good way to deal with this.
Comment 6 Jared Camins-Esakov 2012-06-20 11:52:37 UTC
(In reply to comment #4)
> before pushing this patch, I want to say that, imo, a better idea would have
> been to add an option to dynamically add/remove authorities that have/don't
> have attached biblio. That would not require a new syspref (remember i'm
> founder of FAUSP -Fighters Against Useless SysPrefs), let more feedom to
> users, and could be usefull for staff interface as well.
> 
> With Datatable I think this should be easy to achieve. Would you be OK to
> rewrite your patch ?

I like this idea for the staff interface, but, as Katrin says, I feel like this would just confuse OPAC users, who probably don't understand what an "authority record" is.

As for the idea of using Datatables for authority results... that's just inspired. I think I may have to add that to my to-do list.
Comment 7 Paul Poulain 2012-06-20 15:39:39 UTC
(In reply to comment #5)
> I think for the staff interface a filter like you suggest would be nice, but
> for OPAC users authorities without biblios are not really useful. 
The more I think of it the more I agree with you here.

> They might
> be duplicates or accidentally created stubs or just weird authorities from a
> big imported authority file. So I think for the OPAC a syspref is really a
> good way to deal with this.

The good news for the FAUSP leader: doesn't it mean we don't need the syspref, we just should display authorities linked ? I can't see a use case where it's usefull to see unattached authorities...
Comment 8 Katrin Fischer 2012-06-20 15:42:24 UTC
I have been pondering this... but feel it's not ok to change existing behaviour - some libraries might like it. And maybe with hierarchical authorities it makes sense to see unused authorities too?
Comment 9 Jared Camins-Esakov 2012-06-20 15:44:24 UTC
(In reply to comment #8)
> I have been pondering this... but feel it's not ok to change existing
> behaviour - some libraries might like it. And maybe with hierarchical
> authorities it makes sense to see unused authorities too?

This was my reasoning, too. Also, with the integration of semantikoha data into authorities, one could imagine libraries using the "Browse authors" section as almost a biographical dictionary. Which would be very cool.
Comment 10 Paul Poulain 2012-06-25 16:22:49 UTC
(In reply to comment #8)
> I have been pondering this... but feel it's not ok to change existing
> behaviour - some libraries might like it. And maybe with hierarchical
> authorities it makes sense to see unused authorities too?

Well, I can't imagine a use-case where a OPAC-use might like it ! Even with hierarchical authorities, because the links are built on authid, and if no biblio use this authid, there won't be any results for someone that clic on the link. 

The more I think of it, the more I think it's a bug...
Comment 11 Ian Walls 2012-06-25 16:30:12 UTC
Lots of other information and links to other places on the web could be put into an Authority record, even if no biblios are connected to it.  It'd be much like a biblio with no attached items, but a valid URL (856 in MARC21) or Analytic entry.

I recommend keeping a system preference to let the library pick whether to hide unlinked authorities or not.  While many libraries may choose to hide unused authorities, I don't think we should assume that none would like to show them.
Comment 12 Paul Poulain 2012-06-27 16:07:26 UTC
(In reply to comment #11)
> Lots of other information and links to other places on the web could be put
> into an Authority record, even if no biblios are connected to it.  It'd be
> much like a biblio with no attached items, but a valid URL (856 in MARC21)
> or Analytic entry.
OK, it's a valid argument, will push this patch with the syspref then.
Comment 13 Jared Camins-Esakov 2012-12-03 13:28:54 UTC
This feature works in Master.